# Visualization
TKV2d
Prs2d

# Prs2d_ToleranceFrame Class Reference

`#include <Prs2d_ToleranceFrame.hxx>`

Inheritance diagram for Prs2d_ToleranceFrame:

[legend]

## Public Member Functions

Standard_EXPORT | Prs2d_ToleranceFrame (const Handle(Graphic2d_GraphicObject)&aGO, const Quantity_Length aX, const Quantity_Length aY, const Quantity_Length aHeight, const Prs2d_TypeOfTolerance aTolType=Prs2d_TOT_NONE, const Standard_CString aTolTxt="", const Standard_CString aTxt1="", const Standard_CString aTxt2="", const Standard_Real anAngle=0.0, const Standard_Real aScale=1.0)
| Creates a frame with a type of tolerance <atoltype>, tolerance <atoltxt>, the reference point is <axposition>, <aYPosition <ax>, <ay> - the center of left vertical edge of this frame .
Standard_EXPORT void | SetHeight (const Standard_Real aHSize)
| Defines the height of the frame .
Standard_EXPORT Standard_Real | Height () const
| Indicates the current height of the frame .
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const
Standard_EXPORT const Handle_TColgp_HArray1OfPnt2d | ArrayOfPnt2d () const
| Returns array of 2d points, which produce frame for tolerance Size of array == 4 .
Standard_EXPORT void | SetTolText (const Standard_CString aText)
| Sets the text to this tolerance .
Standard_EXPORT void | SetText1 (const Standard_CString aText)
Standard_EXPORT void | SetText2 (const Standard_CString aText)
Standard_EXPORT TCollection_ExtendedString | TolText () const
| Returns text and array, which contain points of cell which separates the text from other parameters .
Standard_EXPORT TCollection_ExtendedString | Text1 () const
Standard_EXPORT TCollection_ExtendedString | Text2 () const
Standard_EXPORT Standard_Real | TextScale () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the angle <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if the tolerance frame <me> is picked, Standard_False if not. .

## Private Attributes

Standard_ShortReal | myX
Standard_ShortReal | myY
TCollection_ExtendedString | myTolTxt
TCollection_ExtendedString | myTxt1
TCollection_ExtendedString | myTxt2
Standard_ShortReal | myHeight
Standard_ShortReal | myAngle
Standard_ShortReal | myScale
Handle_Prs2d_Tolerance | myHTol
TShort_Array1OfShortReal | myXVert
TShort_Array1OfShortReal | myYVert

## Constructor & Destructor Documentation

Standard_EXPORT Prs2d_ToleranceFrame::Prs2d_ToleranceFrame | ( | const Handle(Graphic2d_GraphicObject)& | aGO,
|  | const Quantity_Length | aX,
|  | const Quantity_Length | aY,
|  | const Quantity_Length | aHeight,
|  | const Prs2d_TypeOfTolerance | aTolType = `Prs2d_TOT_NONE`,
|  | const Standard_CString | aTolTxt = `""`,
|  | const Standard_CString | aTxt1 = `""`,
|  | const Standard_CString | aTxt2 = `""`,
|  | const Standard_Real | anAngle = `0.0`,
|  | const Standard_Real | aScale = `1.0`
| ) |

## Member Function Documentation

Standard_EXPORT const Handle_TColgp_HArray1OfPnt2d Prs2d_ToleranceFrame::ArrayOfPnt2d | ( |  | ) | const

Standard_EXPORT void Prs2d_ToleranceFrame::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

Standard_EXPORT const Prs2d_ToleranceFrame::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Real Prs2d_ToleranceFrame::Height | ( |  | ) | const

Standard_EXPORT Standard_Boolean Prs2d_ToleranceFrame::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void Prs2d_ToleranceFrame::Save | ( | Aspect_FStream & | aFStream | ) | const`[virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT void Prs2d_ToleranceFrame::SetHeight | ( | const Standard_Real | aHSize | ) |

Standard_EXPORT void Prs2d_ToleranceFrame::SetText1 | ( | const Standard_CString | aText | ) |

Standard_EXPORT void Prs2d_ToleranceFrame::SetText2 | ( | const Standard_CString | aText | ) |

Standard_EXPORT void Prs2d_ToleranceFrame::SetTolText | ( | const Standard_CString | aText | ) |

Standard_EXPORT TCollection_ExtendedString Prs2d_ToleranceFrame::Text1 | ( |  | ) | const

Standard_EXPORT TCollection_ExtendedString Prs2d_ToleranceFrame::Text2 | ( |  | ) | const

Standard_EXPORT Standard_Real Prs2d_ToleranceFrame::TextScale | ( |  | ) | const

Standard_EXPORT TCollection_ExtendedString Prs2d_ToleranceFrame::TolText | ( |  | ) | const

## Field Documentation

Standard_ShortReal Prs2d_ToleranceFrame::myAngle `[private]`

Standard_ShortReal Prs2d_ToleranceFrame::myHeight `[private]`

Handle_Prs2d_Tolerance Prs2d_ToleranceFrame::myHTol `[private]`

Standard_ShortReal Prs2d_ToleranceFrame::myScale `[private]`

TCollection_ExtendedString Prs2d_ToleranceFrame::myTolTxt `[private]`

TCollection_ExtendedString Prs2d_ToleranceFrame::myTxt1 `[private]`

TCollection_ExtendedString Prs2d_ToleranceFrame::myTxt2 `[private]`

Standard_ShortReal Prs2d_ToleranceFrame::myX `[private]`

TShort_Array1OfShortReal Prs2d_ToleranceFrame::myXVert `[private]`

Standard_ShortReal Prs2d_ToleranceFrame::myY `[private]`

TShort_Array1OfShortReal Prs2d_ToleranceFrame::myYVert `[private]`

The documentation for this class was generated from the following file:

- Prs2d_ToleranceFrame.hxx